{% extends 'base.html.twig' %}

{% block body %}
    <h1>Versions list</h1>

    <table>
        <thead>
            <tr>
                <th>Id</th>
                <th>Disponibility</th>
                <th>Guarantee</th>
                <th>Body</th>
                <th>Nbsit</th>
                <th>Nbdoor</th>
                <th>Nbcylindre</th>
                <th>Energie</th>
                <th>Puissancefiscale</th>
                <th>Puissance</th>
                <th>Couple</th>
                <th>Cylindred</th>
                <th>Boite</th>
                <th>Nbrapport</th>
                <th>Transmission</th>
                <th>Length</th>
                <th>Width</th>
                <th>Height</th>
                <th>Volumecoffre</th>
                <th>Performancekm</th>
                <th>Maxspeed</th>
                <th>Urbanconsommation</th>
                <th>Extraurbanconsommation</th>
                <th>Mixteconsommation</th>
                <th>Abs</th>
                <th>Airbags</th>
                <th>Antipatinage</th>
                <th>Antidemarrageelectronic</th>
                <th>Fixationisofix</th>
                <th>Accoudoirs</th>
                <th>Autoradio</th>
                <th>Connectivity</th>
                <th>Screen</th>
                <th>Finitionin</th>
                <th>Kitsmoking</th>
                <th>Kitsafety</th>
                <th>Sellerie</th>
                <th>Tapis</th>
                <th>Volant</th>
                <th>Antibrouillard</th>
                <th>Bextvitres</th>
                <th>Boulonsroueprotege</th>
                <th>Feuxpositionled</th>
                <th>Jantes</th>
                <th>Peinture</th>
                <th>Phares</th>
                <th>Radarofparking</th>
                <th>Allumageautodesfeux</th>
                <th>Climatisation</th>
                <th>Detecteurdepluie</th>
                <th>Directionassiste</th>
                <th>Fermeturecentralise</th>
                <th>Ordinateurdebord</th>
                <th>Retroexterieur</th>
                <th>Siegeavantreglable</th>
                <th>Regulateurdevitesse</th>
                <th>Vitreselectrique</th>
                <th>Volantreglable</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for version in versions %}
            <tr>
                <td><a href="{{ path('version_show', { 'id': version.id }) }}">{{ version.id }}</a></td>
                <td>{% if version.disponibility %}Yes{% else %}No{% endif %}</td>
                <td>{{ version.guarantee }}</td>
                <td>{{ version.body }}</td>
                <td>{{ version.nbSit }}</td>
                <td>{{ version.nbDoor }}</td>
                <td>{{ version.nbCylindre }}</td>
                <td>{{ version.energie }}</td>
                <td>{{ version.puissanceFiscale }}</td>
                <td>{{ version.puissance }}</td>
                <td>{{ version.couple }}</td>
                <td>{{ version.cylindred }}</td>
                <td>{{ version.boite }}</td>
                <td>{{ version.nbRapport }}</td>
                <td>{{ version.transmission }}</td>
                <td>{{ version.length }}</td>
                <td>{{ version.width }}</td>
                <td>{{ version.height }}</td>
                <td>{{ version.volumeCoffre }}</td>
                <td>{{ version.performanceKM }}</td>
                <td>{{ version.maxSpeed }}</td>
                <td>{{ version.urbanConsommation }}</td>
                <td>{{ version.extraUrbanConsommation }}</td>
                <td>{{ version.mixteConsommation }}</td>
                <td>{{ version.aBS }}</td>
                <td>{% if version.airbags %}{{ version.airbags|join(', ') }}{% endif %}</td>
                <td>{{ version.antiPatinage }}</td>
                <td>{{ version.antiDemarrageElectronic }}</td>
                <td>{{ version.fixationISOFIX }}</td>
                <td>{{ version.accoudoirs }}</td>
                <td>{{ version.autoradio }}</td>
                <td>{% if version.connectivity %}{{ version.connectivity|join(', ') }}{% endif %}</td>
                <td>{{ version.screen }}</td>
                <td>{{ version.finitionIn }}</td>
                <td>{{ version.kitSmoking }}</td>
                <td>{{ version.kitSafety }}</td>
                <td>{{ version.sellerie }}</td>
                <td>{{ version.tapis }}</td>
                <td>{{ version.volant }}</td>
                <td>{{ version.antiBrouillard }}</td>
                <td>{{ version.bextvitres }}</td>
                <td>{{ version.boulonsRoueProtege }}</td>
                <td>{{ version.feuxPositionLED }}</td>
                <td>{{ version.jantes }}</td>
                <td>{{ version.peinture }}</td>
                <td>{{ version.phares }}</td>
                <td>{{ version.radarOfParking }}</td>
                <td>{% if version.allumageAutoDesFeux %}Yes{% else %}No{% endif %}</td>
                <td>{{ version.climatisation }}</td>
                <td>{{ version.detecteurDePluie }}</td>
                <td>{{ version.directionAssiste }}</td>
                <td>{{ version.fermetureCentralise }}</td>
                <td>{{ version.ordinateurDeBord }}</td>
                <td>{{ version.retroExterieur }}</td>
                <td>{{ version.siegeAvantReglable }}</td>
                <td>{{ version.regulateurDeVitesse }}</td>
                <td>{{ version.vitresElectrique }}</td>
                <td>{{ version.volantReglable }}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('version_show', { 'id': version.id }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('version_edit', { 'id': version.id }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('version_new') }}">Create a new version</a>
        </li>
    </ul>
{% endblock %}
